this.name 		= "executivespaceways.js";
this.author 		= "Ramirez";
this.copyright 		= "June 2010";
this.description 	= "World script for Executive SpaceWays flight schedule";
this.version 		= "1.2";

"use strict";

this.setUpSystem = function()
{
	// search for presence of Trident Down dependencies
	var shld_1, shld_2;
	if (missionVariables.trident_down === null)
	{
                shld_1 = 0.96; shld_2 = 0.98;
	}
	else if (missionVariables.trident_down_completed === "TRUE" && galaxyNumber > 5)
	{
                shld_1 = 0.90; shld_2 = 0.95;
	}
	else if (missionVariables.trident_down_completed === "TRUE" && galaxyNumber > 3)
	{
                shld_1 = 0.80; shld_2 = 0.85;
	}
	else if (missionVariables.trident_down_completed === "TRUE" && galaxyNumber < 3)
	{
                shld_1 = 0.85; shld_2 = 0.90;
	}
        else // default for Trident Down mission
	{
		shld_1 = 0.25; shld_2 = 0.75;
	}

	this.randomNumber = (Math.random())
	if (system.countShipsWithRole("trident") == 0) 
	{
		if (system.government > 4) 
		{
			if (system.techLevel > 6 && randomNumber > shld_1) 
			{
				// v1
                                //system.legacy_addSystemShips("trident", 1, 0.4)
                                // v2
                                //system.addShipsToRoute("trident", 1, 0.1 + (Math.random() * 0.7), "wp")
                                // v3
                                system.addShips("trident", 1, this.randomPositionOnRoute(), 5E3)
			}
			if (system.techLevel > 9 && randomNumber > shld_1) 
			{
				//system.legacy_addSystemShips("trident", 1, 0.4)
				//system.legacy_addSystemShips("strelka", 1, 0.8)
                                system.addShips("trident", 1, this.randomPositionOnRoute(), 5E3)
                                system.addShips("strelka", 1, this.randomPositionOnRoute(), 5E3)
			}
		}
		if (system.government < 5) 
		{
			if (randomNumber > shld_2)
				//system.legacy_addSystemShips("trident", 1, 0.5)
                                system.addShips("trident", 1, this.randomPositionOnRoute(), 5E3)
		}
	}
}

this.randomPositionOnRoute = function ()
{
    var end = system.mainPlanet.position;
    end.z -= 2 * system.mainPlanet.radius;
    return Vector3D.interpolate([0,0,0], end, Math.random()).add(Vector3D.randomDirectionAndLength(20E3));
}

this.shipWillExitWitchspace = function() 
{
	this.setUpSystem()
}

this.shipWillLaunchFromStation = function() 
{
	this.setUpSystem()
}
